//---------------------------------------------------------------------------
#ifndef consoleH
#define consoleH

#include "GroupFile.h"
#include "art.h"

extern void CreateConsole(GroupFile *group,int scrnX,int scrnY,Art *art);
extern void ResizeConsole(int scrnX,int scrnY);
extern void ConsoleGameReady();
extern void ToggleConsole();
extern void ToggleConsoleImmediate();
extern void ConsoleOutput(char *text);
extern int ConsoleTypeChar(char key);
extern void cprintf(char *str,...);
extern int IsCommandReady();
extern char* CommandString();
extern void RenderConsole();
extern void UpdateConsolePos();
extern void ForceConsoleRedraw();
extern void CheckNonGraphicalConsoleInput(HWND hWnd);
extern int IsConsoleDown();
//---------------------------------------------------------------------------
#endif
